package bridgesol;


public class Client {

    public static void main(String[] args) {
        Printer p = new ListPrinter(new HTMLListPrinter());
        String[] farben = { "rot", "grn", "blau"};

        p.print(farben);
		
        // Erweiterung dynamischer Wechsel
        p.setImpl(new PlainListPrinter());
        p.print(farben);
		
        // Erweiterung Komma-separierte Liste
        p = new ListPrinter(new CommaListPrinter());
        p.print(farben);
		
        // Erweiterung neue verfeinerte Abstraktion
        p = new SeqPrinter(new CommaListPrinter());
        p.print(farben);
    }

}
