package bridgesol;


public class CommaListPrinter implements PrinterImpl {
    static private Boolean first = true;
    @Override
    public void printHead() {
        System.out.print("(");
    }

    @Override
    public void printFoot() {
        System.out.println(")");
    }

    @Override
    public void printItem(String s) {
        System.out.print(first ? s : ", " + s);
        first = false;
    }

    @Override
    public void printString(String s) {
        System.out.print(s);
    }

}
